Package org.apache.sling.discovery.oak

## Class TopologyWebConsolePlugin

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.apache.felix.webconsole.AbstractWebConsolePlugin
      - - org.apache.sling.discovery.oak.TopologyWebConsolePlugin

All Implemented Interfaces:
  `Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`, `org.apache.sling.discovery.TopologyEventListener`

    public class TopologyWebConsolePlugin
    extends org.apache.felix.webconsole.AbstractWebConsolePlugin
    implements org.apache.sling.discovery.TopologyEventListener

Simple webconsole which gives an overview of the topology visible by the discovery service

See Also:
  Serialized Form

### Field Summary

Fields
`static String` `LABEL`
`protected org.apache.sling.api.resource.ResourceResolverFactory` `resourceResolverFactory`
`static String` `TITLE`

### Fields inherited from class org.apache.felix.webconsole.AbstractWebConsolePlugin

`ATTR_FILEUPLOAD, GET_RESOURCE_METHOD_NAME`

### Constructor Summary

Constructors
`TopologyWebConsolePlugin()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `activate​(org.osgi.framework.BundleContext bundleContext)`
`void` `deactivate()`
`String` `getLabel()`
`protected org.apache.sling.api.resource.ResourceResolver` `getResourceResolver()`
`String` `getTitle()`
`void` `handleTopologyEvent​(org.apache.sling.discovery.TopologyEvent event)` keep a truncated history of the log events for information purpose (to be shown in the webconsole)
`void` `printConfiguration​(PrintWriter pw)`
`protected void` `renderContent​(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`

### Methods inherited from class org.apache.felix.webconsole.AbstractWebConsolePlugin

`doGet, endResponse, getBrandingPlugin, getBundle, getBundleContext, getCssReferences, getParameter, getResourceProvider, getServletName, isHtmlRequest, log, log, readTemplateFile, renderTopNavigation, sendRedirect, setBrandingPlugin, setLogLevel, startResponse`

### Methods inherited from class javax.servlet.http.HttpServlet

`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, init, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LABEL

    public static final String LABEL

See Also:
  Constant Field Values

#### TITLE

    public static final String TITLE

See Also:
  Constant Field Values

#### resourceResolverFactory

    protected org.apache.sling.api.resource.ResourceResolverFactory resourceResolverFactory

### Constructor Detail

#### TopologyWebConsolePlugin

    public TopologyWebConsolePlugin()

### Method Detail

#### getLabel

    public String getLabel()

Specified by:
  `getLabel` in class `org.apache.felix.webconsole.AbstractWebConsolePlugin`

#### getTitle

    public String getTitle()

Specified by:
  `getTitle` in class `org.apache.felix.webconsole.AbstractWebConsolePlugin`

#### activate

    public void activate​(org.osgi.framework.BundleContext bundleContext)

Overrides:
  `activate` in class `org.apache.felix.webconsole.AbstractWebConsolePlugin`

#### deactivate

    public void deactivate()

Overrides:
  `deactivate` in class `org.apache.felix.webconsole.AbstractWebConsolePlugin`

#### renderContent

    protected void renderContent​(javax.servlet.http.HttpServletRequest req,
                                 javax.servlet.http.HttpServletResponse res)
                          throws javax.servlet.ServletException,
                                 IOException

Specified by:
  `renderContent` in class `org.apache.felix.webconsole.AbstractWebConsolePlugin`
Throws:
  `javax.servlet.ServletException`
  `IOException`

#### getResourceResolver

    protected org.apache.sling.api.resource.ResourceResolver getResourceResolver()
                                                                          throws org.apache.sling.api.resource.LoginException

Throws:
  `org.apache.sling.api.resource.LoginException`

#### handleTopologyEvent

    public void handleTopologyEvent​(org.apache.sling.discovery.TopologyEvent event)

keep a truncated history of the log events for information purpose (to be shown in the webconsole)

Specified by:
  `handleTopologyEvent` in interface `org.apache.sling.discovery.TopologyEventListener`

#### printConfiguration

    public void printConfiguration​(PrintWriter pw)